wxWidgets: wxDCTextColourChanger Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxDCTextColourChanger Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/dc.h>`

## Detailed Description

wxDCTextColourChanger is a small helper class for setting a foreground text colour on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxDC::SetTextForeground(), wxDCFontChanger, wxDCPenChanger, wxDCBrushChanger, wxDCClipper

## Public Member Functions
| wxDCTextColourChanger (wxDC &dc)
| Trivial constructor not changing anything. More...
| wxDCTextColourChanger (wxDC &dc, const wxColour &col)
| Sets col on the given dc, storing the old one. More...
void | Set (const wxColour &col)
| Set the colour to use. More...
| ~wxDCTextColourChanger ()
| Restores the colour originally selected in the DC passed to the ctor. More...

## Constructor & Destructor Documentation

## ◆ wxDCTextColourChanger() [1/2]

wxDCTextColourChanger::wxDCTextColourChanger | ( | wxDC & | dc | ) |

Trivial constructor not changing anything.

This constructor is useful if you don't know beforehand if the colour needs to be changed or not. It simply creates the object which won't do anything in its destructor unless Set() is called – in which case it would reset the previous colour.

## ◆ wxDCTextColourChanger() [2/2]

wxDCTextColourChanger::wxDCTextColourChanger | ( | wxDC & | dc,
|  | const wxColour & | col
| ) |  |

Sets col on the given dc, storing the old one.

Parameters

  dc | The DC where the colour must be temporary set.
  col | The colour to set.

## ◆ ~wxDCTextColourChanger()

wxDCTextColourChanger::~wxDCTextColourChanger | ( |  | ) |

Restores the colour originally selected in the DC passed to the ctor.

## Member Function Documentation

## ◆ Set()

void wxDCTextColourChanger::Set | ( | const wxColour & | col | ) |

Set the colour to use.

This method is meant to be called once only and only on the objects created with the constructor overload not taking wxColour argument and has the same effect as the other constructor, i.e. sets the colour to the given col and ensures that the old value is restored when this object is destroyed.